import time
import ctypes
import sys

if __name__ == '__main__':
    # loading the controller client dll
    clientLib=ctypes.windll.LoadLibrary('C:/ubuntu/nvda/bzr/main/extras/controllerClient/x86/nvdaControllerClient32.dll')

    #Test if NVDA is running, and if its not show a message
    res=clientLib.nvdaController_testIfRunning()
    if res!=0:
        errorMessage=str(ctypes.WinError(res))
        ctypes.windll.user32.MessageBoxW(0,u"Error: %s"%errorMessage,u"Error communicating with NVDA",0)
        sys.exit()
    print ("NVDA is running!!!")
    # calling nvda reload plugin
    clientLib.nvdaController_reloadPlugin()
        
    # Trying to check if NVDA is in sleepmode or not for application "Notepad". Also making sure that notepad remains in use
    # otherwise its appmodule will be unloaded by the NVDA.    
    from ctypes import c_int,pointer
    appName = u"notepad"
    ret = c_int(0)
    print ret.value

    clientLib.nvdaController_isAppInSleepMode(appName,pointer(ret))
    print ret.value
    if  ret.value == 1:
        print appName +" is in sleep mode"
    else :
        print appName + " is NOT in sleep mode"